Opened 14 months ago

Last modified 14 months ago

#3670 new defect

Ubuntu 16.04 install wx python issue

Reported by: khayley Owned by: grass-dev@…
Priority: normal Milestone:
Component: Installation Version: 7.4.1
Keywords: Cc:
CPU: Unspecified Platform: Linux

Description

When I run through the directions here:

https://grass.osgeo.org/download/software/linux/ Using the unstable ppa

Then try to start grass in the terminal I get an error “wxGUI requires wxPython. No module named wx”

Python-wxgtk3.0 is installed on the machine so not sure what the issue may be.

If I try start grass with the -text command then I get an error “Unable to start Grass GIS”

I tried installing the grass-daily build to see if I had better success, but no luck

Change History (1)

comment:1 Changed 14 months ago by khayley

Hi I solved the issue I was having with the GRASS (and QGIS) install on Ubuntu. I had Anaconda python installed for data analysis, so there were issues with dependencies between the root python install and the Anaconda Python.

this Blog helped me figure it out https://kangarooha.wordpress.com/2015/06/16/fix-the-error-couldnt-load-pyqt4-python-support-will-be-disabled-while-using-continuums-anaconda/ and https://stackoverflow.com/questions/20364700/using-two-different-python-distributions setting up the Anaconda python as an alias did the trick, Grass and QGIS (provided by ubuntugis) installed fine and are working. Spyder that I use for data analysis still finds the Anaconda python core by default so I have not lost anything in the process.

Note: See TracTickets for help on using tickets.